Bug 185198 - [NEW PORT] chinese/ibus-table-chinese
Summary: [NEW PORT] chinese/ibus-table-chinese
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-26 08:20 UTC by dennylin93
Modified: 2014-08-19 06:00 UTC (History)
1 user (show)

See Also:


Attachments
ibus-table-chinese.shar (3.54 KB, text/plain)
2013-12-26 08:20 UTC, dennylin93
no flags Details
Updated port (3.55 KB, text/plain)
2014-08-15 14:45 UTC, dennylin93
no flags Details
Updated port 2 (3.47 KB, text/plain)
2014-08-17 14:48 UTC, dennylin93
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dennylin93 2013-12-26 08:20:00 UTC
Chinese input tables for IBus.
Comment 1 John Marino freebsd_committer 2014-08-07 14:16:46 UTC
Hi, if you are still interested in having this port in FreeBSD, it may need to be reworked to support stage, and it could need updating to other newer conventions such as "USES" which is expanding all time.
See http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 2 dennylin93 2014-08-15 14:44:26 UTC
I've updated the port as requested. I also tried building it on redports. However, the status just changed to "finished" without any other details.

I did run make stage check-plist, and it turned out to be fine though:
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
Warning: Possibly owned by dependency: @dirrmtry %%DATADIR%%/icons
Warning: Possibly owned by dependency: @dirrmtry %%DATADIR%%/tables
Warning: Possibly owned by dependency: @dirrmtry %%DATADIR%%
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 3 dennylin93 2014-08-15 14:45:05 UTC
Created attachment 145823 [details]
Updated port
Comment 4 John Marino freebsd_committer 2014-08-15 14:50:51 UTC
well, you want to address those warnings though

If a dependency created
%%DATADIR%%/icons
%%DATADIR%%/tables
%%DATADIR%%

and the port can't be built without it, then remove those from the plist because it will fail 100% of the time.
Comment 5 dennylin93 2014-08-17 14:48:35 UTC
Created attachment 145922 [details]
Updated port 2
Comment 6 dennylin93 2014-08-17 14:49:38 UTC
I've updated the port. Thanks!

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 7 John Marino freebsd_committer 2014-08-17 14:50:26 UTC
okay thanks, moving to patch-ready status.
Comment 8 John Marino freebsd_committer 2014-08-18 20:51:37 UTC
minor issue: The pkg-descr was the same as the COMMENT, which is completely inadequate.  That needs to be an in-depth description of the package aimed at those that don't know what the package does.  I was hoping to commit this so I wrong something for you, I have no idea how accurate.  It's also pretty short (but longer than your half-line with acronyms)

Chinese input tables for the Intelligent Input Bus (IBus) input method
framework.  The IBus-table is an Input Method Engine particularly suited
to support Chinese.

WWW: http://code.google.com/p/ibus/



MAJOR ISSUE - It doesn't build in poudriere
===============================================
=======================<phase: configure      >============================
===>   zh-ibus-table-chinese-1.4.6 depends on file: /usr/local/share/cmake/Modu
===>   zh-ibus-table-chinese-1.4.6 depends on executable: ibus-daemon - found
===>   zh-ibus-table-chinese-1.4.6 depends on file: /usr/local/libexec/ibus-eng
===>   zh-ibus-table-chinese-1.4.6 depends on file: /usr/local/bin/cmake - foun
===>  Configuring for zh-ibus-table-chinese-1.4.6
===>  Performing in-source build
/bin/mkdir -p /wrkdirs/usr/ports/chinese/ibus-table-chinese/work/ibus-table-chi
*Hi
date: illegal option -- -
usage: date [-jnu] [-d dst] [-r seconds] [-t west] [-v[+|-]val[ymwdHMS]] ...
            [-f fmt date | [[[[[cc]yy]mm]dd]HH]MM[.ss]] [+format]
date: illegal option -- -
usage: date [-jnu] [-d dst] [-r seconds] [-t west] [-v[+|-]val[ymwdHMS]] ...
            [-f fmt date | [[[[[cc]yy]mm]dd]HH]MM[.ss]] [+format]
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
CMake Error at /usr/local/share/cmake/Modules/FindPkgConfig.cmake:319 (message)
  pkg-config tool not found
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_in
  CMakeLists.txt:77 (PKG_CHECK_MODULES)


CMake Warning (dev) at CMakeLists.txt:110 (INCLUDE):
  Syntax Warning in cmake code at

    /wrkdirs/usr/ports/chinese/ibus-table-chinese/work/ibus-table-chinese-1.4.6

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/chinese/ibus-table-chinese/work/ibus-table-chinese
*** Error code 1

Stop.



It could be a missing dependency, I'll try pkgconfig since it's mentioned.
Comment 9 commit-hook freebsd_committer 2014-08-18 21:00:41 UTC
A commit references this bug:

Author: marino
Date: Mon Aug 18 21:00:27 UTC 2014
New revision: 365352
URL: http://svnweb.freebsd.org/changeset/ports/365352

Log:
  Add new port ibus-table-chinese

  PR:		185198
  Submitted by:	dennylin93 (hs.ntnu.edu.tw)

  Chinese input tables for the Intelligent Input Bus (IBus) input method
  framework.  The IBus-table is an Input Method Engine particularly suited
  to support Chinese.

Changes:
  head/chinese/Makefile
  head/chinese/ibus-table-chinese/
  head/chinese/ibus-table-chinese/Makefile
  head/chinese/ibus-table-chinese/distinfo
  head/chinese/ibus-table-chinese/pkg-descr
  head/chinese/ibus-table-chinese/pkg-plist
Comment 10 John Marino freebsd_committer 2014-08-18 21:03:16 UTC
Adding USES+= pkgconfig fixed it.
(Now you know why I ask for poudriere specifically, it catches build dependency errors)

Anyway, it's in ports now.  I hope my description was accurate enough.  Sorry about the very long wait to get this port in.
Comment 11 dennylin93 2014-08-19 06:00:37 UTC
Thanks for cleaning it up! Next time I'll use poudriere to test before submitting.